List bulk-tag jobs

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /local-emails/{caseId}/bulk-tag-jobs

Lists the background tagging jobs of a case (the ones started by tagging a search), newest first by default.

Path parameters

  • caseId string Required

Query parameters

  • page number

    Default value is 1.

  • perPage number

    Default value is 10.

  • skip number

    If skip/limit not provided, page/perPage will take precedence

  • limit number

    If skip/limit not provided, page/perPage will take precedence

  • sortOrder string

    Values are asc or desc. Default value is asc.

  • status string

    Values are queued, in_progress, completed, or failed.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • data array[object]
        Hide data attributes Show data attributes object
        • id string Required
        • hostType string Required

          Values are emails or threads.

        • status string Required

          Values are queued, in_progress, completed, or failed.

        • matchedDocuments number Required
        • attachmentsCreated number Required
        • autoTagEmails boolean Required
        • emailsMatched number Required
        • emailAttachmentsCreated number Required
        • resolvedTagIds array[string] Required
        • message string | null Required
        • startedAt string(date-time) | null Required
        • completedAt string(date-time) | null Required
        • failedAt string(date-time) | null Required
        • createdAt string(date-time) Required
      • total number
      • skip number
      • limit number
      • page number
      • perPage number
    • statusCode number Required
    • timestamp string(date-time) Required
GET /local-emails/{caseId}/bulk-tag-jobs
curl \
 --request GET 'http://api.example.com/local-emails/{caseId}/bulk-tag-jobs' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "data": [
      {
        "id": "65a1b2c3d4e5f6a7b8c9d0f2",
        "hostType": "emails",
        "status": "queued",
        "matchedDocuments": 250,
        "attachmentsCreated": 250,
        "autoTagEmails": false,
        "emailsMatched": 0,
        "emailAttachmentsCreated": 0,
        "resolvedTagIds": [
          "65a1b2c3d4e5f6a7b8c9d0a1"
        ],
        "message": "string",
        "startedAt": "2026-01-15T14:30:05.000Z",
        "completedAt": "2026-01-15T14:30:41.000Z",
        "failedAt": "2026-05-04T09:42:00Z",
        "createdAt": "2026-01-15T14:30:00.000Z"
      }
    ],
    "total": 3,
    "skip": 0,
    "limit": 20,
    "page": 1,
    "perPage": 20
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}